JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_AudioFormatWriter.h File Reference

## Classes
class | AudioFormatWriter
| Writes samples to an audio file stream. More...
class | AudioFormatWriter::ThreadedWriter
| Provides a FIFO for an AudioFormatWriter, allowing you to push incoming data into a buffer which will be flushed to disk by a background thread. More...
class | AudioFormatWriter::ThreadedWriter::IncomingDataReceiver
| Receiver for incoming data. More...
struct | AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >
| Used by AudioFormatWriter subclasses to copy data to different formats. More...